# $Revision: 1.16 $, $Date: 2004/11/26 13:10:50 $
#
# TODO:
# - add png icon for VisualOS
#
# Conditional build:
%bcond_without	pdf_docs	# don't build pdf documentation
#
%define		_doc_ver	1.0.0

Summary:	Visual simulator of and operating system
Summary(pl):	Wizualny symulator systemu operacyjnego
Name:		VisualOS
Version:	1.0.5
Release:	2
License:	GPL
Group:		Applications/Emulators
Source0:	http://dl.sourceforge.net/visualos/%{name}-%{version}.tar.gz
# Source0-md5:	db0db4fe4251038fcfe0b2e7f5feefa4
Source1:	http://dl.sourceforge.net/visualos/%{name}-%{_doc_ver}-docs-pdf.tar.gz
# Source1-md5:	c1523518371ec80a9df17476a298ca5f
Source2:	%{name}.desktop
URL:		http://visualos.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	libglade-gnome-devel
BuildRequires:	libtool
BuildRequires:	transfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VisualOS is an "visual simulator of and operating system", that will
help study and understand the way a real sistem works.

It allows the user to insert processes in the running system,
assigning them properties (memory usage, processing bursts, IO
accesses) and VisualOS will dynamically show different graphical
representations of each subsystem. It is also posible to select the
algorithm to be used in each case.

%description -l pl
VisualOS jest "wizualnym symulatorem systemu operacyjnego", ktry
pomaga studiowa i zrozumie jak dziaa prawdziwy system operacyjny.

Pozwala uytkownikowi wstawia procesy do uruchomionego systemu,
przypisywa im waciwoci (wykorzystanie pamici, procesora, IO) a
VisualOS bdzie dynamicznie pokazywa reprezentacje kadego
podsystemu. Mona take wybra algorytm do wykorzystania w kadym
przypadku.

%package doc-pdf
Summary:	VisualOS documentation, PDF format
Summary(pl):	Dokumentacja do VisualOS w formacie PDF
Group:		Applications/Emulators
Requires:	%{name} = %{version}-%{release}

%description doc-pdf
VisualOS documentation in PDF format.

%description doc-pdf -l pl
Dokumentacja do VisualOS w formacie PDF.

%prep
%setup -q -a1

%build
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO NEWS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop

%if %{with pdf_docs}
%files doc-pdf
%defattr(644,root,root,755)
%doc %{name}-%{_doc_ver}/docs/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: VisualOS.spec,v $
Revision 1.16  2004/11/26 13:10:50  paladine
- sorted BRs
- fixed desktop file
- cosmetics
- rel 2

Revision 1.15  2004/10/31 14:59:28  paladine
- spaces->tabs

Revision 1.14  2004/07/01 19:36:12  qboosh
- typo, capitals, strict dep, bcond desc

Revision 1.13  2004/07/01 15:48:24  kolodko
- added subpackage pdf_docs
- desktop file

Revision 1.12  2004/06/30 06:30:42  kolodko
- up to 1.0.5

Revision 1.11  2003/12/29 15:20:26  undefine
- release 2

Revision 1.10  2003/12/29 15:20:01  undefine
- gettextize to rebuild with ac

Revision 1.9  2003/08/28 08:20:29  ankry
- cosmetics

Revision 1.8  2003/06/22 10:59:31  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.7  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:45:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.4  2002/12/07 15:11:40  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.3  2002/08/06 13:11:16  qboosh
- BR: libglade-gnome-devel

Revision 1.2  2002/07/28 15:49:27  kloczek
- finished.
TODO: add desktop and png icon for VisualOS.

Revision 1.1  2002/07/16 21:57:02  undefine
- initial PLD version. build and works. stbr
